<?
//-- 지정 된 게시판 환경 변수. 수정하면 골치 아파 짐.
$board_fix_value	= 
	array(
		array("페이지당 댓글 수",	"comment_rows",		"10"),
		array("댓글 접기",			"comment_fold",		"0"),
		array("베스트 댓글",		"comment_best",		"1"),
		array("날짜표시",			"datetype",			"1"),
		array("최신베스트",			"boardbest",		"1"),
		array("SNS 링크",			"snslink",			"1"),
		array("페이스북 LIKE",		"facebooklike",		"1"),
		array("워터마크",			"watermark",		"8"),
		array("이미지 크기",		"imagewidthsize",	"600"),
		array("썸네일 크기W",		"thumbwidthsize",	"110"),
		array("썸네일 크기H",		"thumbheightsize",	"110"),
		array("최신글 Cache",		"latestcache",		"60"),
		array("추천 대체 단어",		"good_word",		"추천"),
		array("반대 대체 단어",		"nogood_word",		"반대"),
		array("게시판 모바일 스킨",	"m_skin",			"zm.basic")
	);

//-- 테이블에 고정 변수 값이 없으면 추가
for($i = 0; $i < count($board_fix_value); $i++) {
	$rd_brd_cfg	= sql_fetch("select db_variable from $zmb[table_board_config] where db_table='$bo_table' and db_variable='{$board_fix_value[$i][1]}'");
	if($rd_brd_cfg[db_variable]) {
		sql_query("update $zmb[table_board_config] set db_varname='{$board_fix_value[$i][0]}' where db_table='$bo_table' and db_variable='{$board_fix_value[$i][1]}'");
	}else{
		sql_query("insert into $zmb[table_board_config] set db_table='$bo_table', db_varname='{$board_fix_value[$i][0]}', db_variable='{$board_fix_value[$i][1]}', db_value='{$board_fix_value[$i][2]}', db_valtype='$i'");
	}
}

//-- 변수 삭제를 위한 링크 ------------------------------------------------------------------------
foreach($_GET as $key => $value) { $getqry .= $key . "=" . $value . "&"; }
$del_cfg_url	= "$g4[admin_path]/zm.board_exp_update.php?mode=cfgdel&".$getqry."db_variable=";
?>